Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed Affected version:  

Description

uninternationalized hard-coded string exists in source:trunk/app/controllers/application_controller.rb@19553#L686

  def query_statement_invalid(exception)

    logger.error "Query::StatementInvalid: #{exception.message}" if logger

    session.delete(:issue_query)

    render_error "An error occurred while executing the query and has been logged. Please report t

his error to your Redmine administrator." 

  end

Associated revisions

Revision 20843 - 2021-03-25 05:39 - Go MAEDA

Fix hard-coded error messages in ApplicationController (#33232).

Contributed by Kam Nazir.

Revision 20844 - 2021-03-25 05:41 - Go MAEDA

Update locales (#33232).

History

#1 - 2020-05-03 06:13 - Go MAEDA

- File 33232.patch added

- Target version set to Candidate for next major release

The attached patch removes two hard-coded strings from ApplicationController.

#2 - 2020-05-10 16:03 - Go MAEDA

- Category changed from Translations to I18n

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#3 - 2020-05-11 11:41 - Go MAEDA

- Subject changed from Hard-coded string "An error occurred while executing the query and has been logged. Please report this error to your Redmine

administrator."  to Hard-coded error messages in ApplicationController

#4 - 2021-03-18 20:22 - Marius BĂLTEANU

- Status changed from New to Confirmed

#5 - 2021-03-25 05:40 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed
https://www.redmine.org/projects/redmine/repository/svn/revisions/19553/entry/trunk/app/controllers/application_controller.rb#L686


Committed the fix.

Files

33232.patch 1.85 KB 2020-05-03 Go MAEDA
